Loading...
Searching...
No Matches
dsam::DsamManager::DsamControllerChangedEvent Struct Reference

Event that is send when a DSAM controller has been reset or recovery is in progress. More...

`import "DsamManager.idl";`

Inheritance diagram for dsam::DsamManager::DsamControllerChangedEvent:

## Public Attributes

int | dsamNumber
| DSAM number (1-based)
boolean | reset
| `true` if controller was reset; `false` if recovery started
string | resetReason
| reset reason (only set when reset is `true`)
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event that is send when a DSAM controller has been reset or recovery is in progress.

Definition at line 29 of file DsamManager.idl.

## Member Data Documentation

## dsamNumber

int dsam::DsamManager::DsamControllerChangedEvent::dsamNumber

DSAM number (1-based)

Definition at line 30 of file DsamManager.idl.

## reset

boolean dsam::DsamManager::DsamControllerChangedEvent::reset

`true` if controller was reset; `false` if recovery started

Definition at line 31 of file DsamManager.idl.

## resetReason

string dsam::DsamManager::DsamControllerChangedEvent::resetReason

reset reason (only set when reset is `true`)

Definition at line 32 of file DsamManager.idl.

The documentation for this struct was generated from the following file:

- DsamManager.idl